﻿using SqlSugar;
using System.ComponentModel;
using XF.Domain.Repository;

namespace Hotline.Orders
{
    /// <summary>
    /// 工单撤单
    /// </summary>
    [Description("工单撤单")]
    public class OrderRevoke : FullStateEntity
    {
        /// <summary>
        /// 工单编号
        /// </summary>
        public string OrderId { get; set; }

        /// <summary>
        /// 工单
        /// </summary>
        [Navigate(NavigateType.OneToOne, nameof(OrderId))]
        public Order Order { get; set; }

        /// <summary>
        /// 撤单时间
        /// </summary>
        public DateTime? RevokeTime { get; set; }

        /// <summary>
        /// 撤单类型
        /// </summary>
        public string? RevokeType { get; set; }

        /// <summary>
        /// 撤单类型名称
        /// </summary>
        public string? RevokeTypeName { get; set; }

        /// <summary>
        /// 操作人员
        /// </summary>
        public string? RevokeName { get; set; }

        /// <summary>
        /// 撤单理由
        /// </summary>
        public string? RevokeReasion { get; set; }

        /// <summary>
        /// 材料标识
        /// </summary>
        public string? CliengGuid { get; set; }

        /// <summary>
        /// 是否省撤单
        /// </summary>
        [SugarColumn(DefaultValue = "f")]
        public bool IsProRevoke { get; set; }
    }
}
